From: Julian Ospald <hasufell@gentoo.org>
Date: Fri Jun 20 13:52:42 UTC 2014
Subject: fix tiff build switch

--- xpaint-2.9.10.2/configure.ac
+++ xpaint-2.9.10.2/configure.ac
@@ -125,9 +125,11 @@
 with_libtiff="yes"
 tiff_header_found="no"
 #
-AC_ARG_ENABLE(tiff,
+AC_ARG_ENABLE([tiff],
 [  --enable-tiff[=[yes|no]]         Build with TIFF support [ [default=yes] ]],
-test "$enable_tiff" = "no"  && with_libtiff="no")
+	[with_libtiff=$enableval],
+	[with_libtiff=yes]
+)
 #
 if test "x$with_libtiff" = xyes ; then
 #TIFF compiled with JPEG and JBIG support?
--- xpaint-2.9.10.2/rw/readWriteTIFF.c
+++ xpaint-2.9.10.2/rw/readWriteTIFF.c
@@ -14,6 +14,8 @@
 
 /* $Id$ */
 
+#ifdef HAVE_TIFF
+
 #include <stdio.h>
 #include <stdlib.h>
 #include "tiffio.h"
@@ -527,3 +529,5 @@ int WriteTIFF(char *file, Image * image)
 
     return 0;
 }
+
+#endif /* HAVE_TIFF */
